Bug 215496

Summary: emulators/open-vm-tools: Fix pkg-plist after perl5.24 enabled DTRACE by default
Product: Ports & Packages Reporter: Olli Hauer <ohauer>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me Flags: bugzilla: maintainer-feedback? (swills)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
open-vm-tools patch none

Description Olli Hauer freebsd_committer 2016-12-22 19:43:06 UTC
Created attachment 178209 [details]
open-vm-tools patch

Since a few days open-vm-tools-nox11 fails in poudriere with the following error:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir /usr/lib/debug/%%KMODDIR%%
Error: Orphaned: @dir /usr/lib/debug/boot
Error: Orphaned: @dir /usr/lib/debug
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1


I suspect it was one of the last perl5.24 changes (enable DTRACE ..) but not sure about it.

The patch fixes this issue, additional it is a good time to sort pkg-plist and add a default vmtools.conf to prevent spamming /var/log/messages every few seconds.
Comment 1 Steve Wills freebsd_committer 2017-02-27 23:27:42 UTC
I believe this is no longer an issue, can you please test the patch in PR 212471?
Comment 2 Steve Wills freebsd_committer 2017-03-24 18:57:19 UTC
Port is updated and I believe this is fixed.